maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jesse Farinacci <jie...@gmail.com>
Subject Re: maven 3 and the enforcer plugin
Date Wed, 18 Aug 2010 23:59:59 GMT
Greetings,

On Wed, Aug 18, 2010 at 7:46 PM, Brett Randall <javabrett@gmail.com> wrote:
> I don't know this plugin/rule well, but looking at your output, could
> it relate to the underscore versus hyphen in the detected versus
> normalized JDK version string?  Maybe try a hyphen in your version
> rule.
>

Try adding an execution of enforcer:display-info to see the normalized
version of the JDK which you should feed to the enforcement rule.
Here's an example from my system:

[INFO] --- maven-enforcer-plugin:1.0-beta-1:display-info
(display-info) @ isvt ---
[INFO] Maven Version: 3.0-beta-2
[INFO] JDK Version: 1.6.0_21 normalized as: 1.6.0-21
[INFO] OS Info: Arch: amd64 Family: unix Name: linux Version: 2.6.32.18

-Jesse

-- 
There are 10 types of people in this world, those
that can read binary and those that can not.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message